/*
 * Pan - A Newsreader for X
 * Copyright (C) 1999, 2000  Pan Development Team (pan@superpimp.org)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 */

#ifndef __DRUID_H__
#define __DRUID_H__

/*===================================
 * data structure definitions
 *===================================*/
typedef struct _Druid Druid;
struct _Druid
{
	GtkWidget *full_name;
	GtkWidget *organization;

	GtkWidget *email;

	GtkWidget *server_address;
	GtkWidget *server_port;
	GtkWidget *auth_toggle;

	GtkWidget *server_username_label;
	GtkWidget *server_username;
	GtkWidget *server_password_label;
	GtkWidget *server_password;

	GtkWidget *profile_name;
};

/*===================================
 * function prototypes
 *===================================*/
void	   druid_spawn	     (void);

#endif /* __DRUID_H__ */
